---
apiVersion: instancetype.kubevirt.io/v1beta1
kind: VirtualMachineClusterInstancetype
metadata:
  annotations:
    instancetype.kubevirt.io/description: |-
      The M Series provides resources for memory intensive
      applications.

      *M* is the abbreviation of "Memory".
    instancetype.kubevirt.io/displayName: Memory Intensive
    kubevirt.io/generation: "3"
    kubevirt.io/install-strategy-identifier: 5dc642dcafc20b388aac8893d36db44393e586b9
    kubevirt.io/install-strategy-registry: ""
    kubevirt.io/install-strategy-version: sha256:031a34ff7b451f8588ed2960c576d6a835a749de7c168e88eaec45d180be6a21
    openshift.io/documentation-url: https://access.redhat.com
    openshift.io/provider-display-name: Red Hat
    openshift.io/support-url: https://access.redhat.com
  creationTimestamp: "2025-10-29T11:54:52Z"
  generation: 1
  labels:
    app.kubernetes.io/component: compute
    app.kubernetes.io/managed-by: virt-operator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.12
    instancetype.kubevirt.io/class: memory.intensive
    instancetype.kubevirt.io/common-instancetypes-version: 1.3.1-41-ga46e70a1
    instancetype.kubevirt.io/cpu: "2"
    instancetype.kubevirt.io/hugepages: 1Gi
    instancetype.kubevirt.io/icon-pf: fa-memory
    instancetype.kubevirt.io/memory: 16Gi
    instancetype.kubevirt.io/size: large1gi
    instancetype.kubevirt.io/vendor: redhat.com
    instancetype.kubevirt.io/version: "1"
  managedFields:
  - apiVersion: instancetype.kubevirt.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:instancetype.kubevirt.io/description: {}
          f:instancetype.kubevirt.io/displayName: {}
          f:kubevirt.io/generation: {}
          f:kubevirt.io/install-strategy-identifier: {}
          f:kubevirt.io/install-strategy-registry: {}
          f:kubevirt.io/install-strategy-version: {}
          f:openshift.io/documentation-url: {}
          f:openshift.io/provider-display-name: {}
          f:openshift.io/support-url: {}
        f:labels:
          .: {}
          f:app.kubernetes.io/component: {}
          f:app.kubernetes.io/managed-by: {}
          f:app.kubernetes.io/part-of: {}
          f:app.kubernetes.io/version: {}
          f:instancetype.kubevirt.io/class: {}
          f:instancetype.kubevirt.io/common-instancetypes-version: {}
          f:instancetype.kubevirt.io/cpu: {}
          f:instancetype.kubevirt.io/hugepages: {}
          f:instancetype.kubevirt.io/icon-pf: {}
          f:instancetype.kubevirt.io/memory: {}
          f:instancetype.kubevirt.io/size: {}
          f:instancetype.kubevirt.io/vendor: {}
          f:instancetype.kubevirt.io/version: {}
      f:spec:
        .: {}
        f:cpu:
          .: {}
          f:guest: {}
        f:memory:
          .: {}
          f:guest: {}
          f:hugepages:
            .: {}
            f:pageSize: {}
    manager: virt-operator
    operation: Update
    time: "2025-10-29T13:26:16Z"
  name: m1.large1gi
  resourceVersion: "2234345"
  uid: 021cf5bf-2b99-4cac-b77d-503eb725060d
spec:
  cpu:
    guest: 2
  memory:
    guest: 16Gi
    hugepages:
      pageSize: 1Gi
